<?php
require 'app/bootstrap.php';
$conectDB = connectDB();
$conectDB->exec("set names utf8mb4");
include '__valida_login.php';
?>
<!DOCTYPE html>
<html lang="pt-BR">
<head>
    <title><?=$configSistema['sistema'];?> - Edição de Login</title>
	<?php
		include 'estrutura/__css.php';
	?>
</head>
<body>
    <div class="app  ">
        <div class="layout ">
			<?php
				include 'estrutura/topo.php';
				include '_menu.php';
				
				$titulo = 'Edição de Login'; 
			?>
            <div class="page-container">
                <div class="main-content">
                   <div class="card  ">
                        <div class="card-body"> 
                            <h4 class=" "><?=$titulo;?></h4>
                            <div class="">
								<div class="m-t-15">
									<?php
										if ($_SERVER['REQUEST_METHOD'] === 'POST')
										{
											$userEmail    = stringInputCleaner($_POST['email']);
 
				 
									        $cadinsert = "
												UPDATE
													usuario
												SET
													email = :userEmail
												WHERE
													usuario_id 	= :userID
									        ";
									            $cadresult = $conectDB->prepare($cadinsert);
									            $cadresult->bindParam(':userEmail' , $userEmail, PDO::PARAM_STR);
									            $cadresult->bindParam(':userID' , $_SESSION['userID'], PDO::PARAM_STR);
									            $cadresult->execute();
									            $cadcontar = $cadresult->rowCount();
									            if($cadcontar > 0) { 

													if(isset($_POST['pwd']))
													{
 														$userPass 		= password_hash($_POST['pwd'], PASSWORD_DEFAULT);
 
												        $cadinsert = "
															UPDATE
																usuario
															SET
																usuario_pwd = :pwd
															WHERE
																usuario_id 	= :userID
												        ";
												            $cadresult = $conectDB->prepare($cadinsert);
												            $cadresult->bindParam(':userEmail' , $userPass, PDO::PARAM_STR);
												            $cadresult->bindParam(':userID' , $_SESSION['userID'], PDO::PARAM_STR);
												            $cadresult->execute();
 													}
													

									                echo messageJson('sucesso', 'Registro atualizado com sucesso', '', '');
									            }
									            else
									            {
									            	 echo messageJson('sucesso', 'Alterações realizadas ou sem alterações', '', '');
									            }
										}

										$dadosUser = findItem($conectDB, 'usuario', ' email ', array("id"=>$_SESSION['userID']) );
									?>
										<form method="post" action="" id="" enctype="multipart/form-data">
											<div class="card"> 
												<div class="card-body">


														<div class="form-row"> 
															<div class="form-group col-md-6">
																<label class="font-weight-semibold" for="email">E-mail:</label>
																<input type="email" class="form-control" name="email" required value="<?=$dadosUser->email;?>" id="email">
															</div>
														
														  
															<div class="col-lg-12 mb-3">
																Informe as senhas abaixo apenas caso deseje altera-la
															</div>
															
															<div class="col-lg-6"> 
																<div class="form-group">
																	<label for="namedash" class="">Sua Senha Atual</label>
																	<input type="text" class="form-control" id="senhaAtual" name="senhaAtual" placeholder="">
																</div>
															</div>
															
															<div class="col-lg-12">
																<div class="row">
																	<div class="col-lg-4"> 
																		<div class="form-group">
																			<label for="namedash" class="">Nova Senha</label>
																			<input type="text" class="form-control" id="senhaAtual" name="senhaAtual" placeholder="">
																		</div>
																	</div>
																	<div class="col-lg-4"> 
																		<div class="form-group">
																			<label for="namedash" class="">Confirme a Nova Senha</label>
																			<input type="password" class="form-control" id="senhaNova2" name="senhaNova2" placeholder="">
																		</div>
																	</div>
																</div>
															</div>   
										 				</div>
														<div class="row">
															<div class="col-sm-3 text-left">
																<button type="submit" class="btn  btn-primary m-r-5">
																	<i class="anticon anticon-loading m-r-5"></i>
																	<i class="anticon anticon-check m-r-5"></i>
																	<span>Salvar</span>
																</button>
															</div>
														</div>
													</div>
												</div>
										</form> 
									
								</div>
							</div>
						</div>
					</div>
                </div>
				
				<?php include 'estrutura/copy.php';?>	
            </div>
         </div>
    </div>
	<?php include 'estrutura/rodape.php';?>
	<?php include 'estrutura/_modal_admin.php';?>
	<script>
	setTimeout(function()
	{
		$("#frmProfessorEmail").val("<?=$_SESSION['ADMINusuarioEmail'];?>");
		$("#frmProfessorPwd").val("");
	}, 800);
	</script>
</body>

</html>
